diff -Naur spice3f5sfix.orig/conf/fink spice3f5sfix/conf/fink
--- spice3f5sfix.orig/conf/fink	1970-01-01 09:00:00.000000000 +0900
+++ spice3f5sfix/conf/fink	2005-05-29 22:45:25.000000000 +0900
@@ -0,0 +1,30 @@
+# Fink 
+
+FINK_DIR        = @FINK_PREFIX@
+FINK_INSTALL_DIR= @FINK_INSTALL@
+DEFAULT_EDITOR  = pico
+ASCII_RAWFILE	= 0
+INTERFACE_OPTS	= -DWANT_X11
+MAKE            = /usr/bin/gnumake
+X_DIR           = /usr/X11R6
+INCX            = -I$(X_DIR)/include -I$(X_DIR)/include/X11        \
+                  -I$(X_DIR)/include/X11/Xmu                       \
+                  -I$(X_DIR)/include/X11/Xaw
+LIBX            = -L$(X_DIR)/lib -lXaw -lXt -lXext -lXmu -lSM -lICE -lX11
+
+VERSION         = 3f5sfix
+LDFLAGS	        =  
+CC              = gcc
+
+CC_OPT	        = -no-cpp-precomp -Os
+
+BUG_ADDR        = peter@pogma.com
+SPICE_DIR       = $(FINK_INSTALL_DIR)
+SPICE_LIB_DIR   = $(SPICE_DIR)/lib/spice
+SPICE_EXEC_DIR  = $(SPICE_DIR)/bin
+
+S_SPICE_DIR     = $(FINK_DIR)
+S_SPICE_LIB_DIR	= $(S_SPICE_DIR)/lib/spice
+S_SPICE_EXEC_DIR= $(S_SPICE_DIR)/bin
+
+INSTALL_DIRS    = $(SPICE_DIR) $(SPICE_EXEC_DIR) $(SPICE_LIB_DIR)
diff -Naur spice3f5sfix.orig/src/include/misc.h spice3f5sfix/src/include/misc.h
--- spice3f5sfix.orig/src/include/misc.h	1994-12-01 07:17:02.000000000 +0900
+++ spice3f5sfix/src/include/misc.h	2005-05-29 22:45:25.000000000 +0900
@@ -86,7 +86,9 @@
 extern char *realloc();
 extern char *getenv();
 extern int errno;
+#if 0
 extern char *sys_errlist[];
+#endif
 extern char *getenv();
 extern char *getwd();
 extern int rand();
diff -Naur spice3f5sfix.orig/src/include/os_bsd.h spice3f5sfix/src/include/os_bsd.h
--- spice3f5sfix.orig/src/include/os_bsd.h	1993-06-18 06:34:55.000000000 +0900
+++ spice3f5sfix/src/include/os_bsd.h	2005-05-29 22:54:55.000000000 +0900
@@ -10,7 +10,7 @@
 
 #define HAS_NO_ATRIGH_DECL	/* if asinh( ) is not in math.h		*/
 #define HAS_ATRIGH		/* acosh( ), asinh( ), atanh( )         */
-#define HAS_FTIME		/* ftime( ), <times.h>			*/
+
 #define HAS_TERMCAP		/* tgetxxx( )				*/
 #define HAS_VFORK		/* BSD-ism, should not be necessary	*/
 #define HAS_INDEX		/* index( ) instead of strchr( )	*/
diff -Naur spice3f5sfix.orig/src/include/port.h spice3f5sfix/src/include/port.h
--- spice3f5sfix.orig/src/include/port.h	1994-12-01 06:04:36.000000000 +0900
+++ spice3f5sfix/src/include/port.h	2005-05-29 22:45:25.000000000 +0900
@@ -51,6 +51,11 @@
 #  define CONFIGURED
 #endif
 
+#ifdef __APPLE__
+#  include "os_bsd.h"
+#  define CONFIGURED
+#endif
+
 #ifdef NeXT
 #  include "os_bsd.h"
 #  define CONFIGURED
diff -Naur spice3f5sfix.orig/src/lib/fte/graf.c spice3f5sfix/src/lib/fte/graf.c
--- spice3f5sfix.orig/src/lib/fte/graf.c	1999-06-11 21:38:56.000000000 +0900
+++ spice3f5sfix/src/lib/fte/graf.c	2005-05-29 22:46:34.000000000 +0900
@@ -427,7 +427,7 @@
 
 }
 
-static
+
 drawlegend(graph, plotno, dv)
 GRAPH *graph;
 int plotno;
@@ -551,7 +551,7 @@
 
 }
 
-static gr_resize_internal(graph)
+gr_resize_internal(graph)
 GRAPH *graph;
 {
 
diff -Naur spice3f5sfix.orig/src/lib/fte/grid.c spice3f5sfix/src/lib/fte/grid.c
--- spice3f5sfix.orig/src/lib/fte/grid.c	1999-05-30 16:14:12.000000000 +0900
+++ spice3f5sfix/src/lib/fte/grid.c	2005-05-29 22:47:22.000000000 +0900
@@ -474,7 +474,6 @@
     return (dd);
 }
 
-static
 drawlingrid(graph, units, spacing, nsp, dst, lmt, hmt, onedec, mult, mag,
     digits, axis)
     GRAPH *graph;
@@ -662,7 +661,6 @@
 
 }
 
-static
 drawloggrid(graph, units, hmt, lmt, decsp, subs, pp, axis)
     GRAPH *graph;
     char *units;
diff -Naur spice3f5sfix.orig/src/lib/fte/x11.c spice3f5sfix/src/lib/fte/x11.c
--- spice3f5sfix.orig/src/lib/fte/x11.c	1999-06-19 21:09:37.000000000 +0900
+++ spice3f5sfix/src/lib/fte/x11.c	2005-05-29 22:48:47.000000000 +0900
@@ -303,7 +303,7 @@
 	return (0);
 }
 
-static
+
 initlinestyles()
 {
 
@@ -319,7 +319,6 @@
 	return;
 }
 
-static
 initcolors(graph)
     GRAPH *graph;
 {
@@ -1002,7 +1001,7 @@
 
 }
 
-static X_ScreentoData(graph, x, y, fx, fy)
+X_ScreentoData(graph, x, y, fx, fy)
 GRAPH *graph;
 int x,y;
 double *fx, *fy;
diff -Naur spice3f5sfix.orig/src/lib/hlp/readhelp.c spice3f5sfix/src/lib/hlp/readhelp.c
--- spice3f5sfix.orig/src/lib/hlp/readhelp.c	1993-06-18 06:32:43.000000000 +0900
+++ spice3f5sfix/src/lib/hlp/readhelp.c	2005-05-29 22:49:45.000000000 +0900
@@ -272,7 +272,7 @@
     return (copy(&buf[9]));     /* don't copy "SUBJECT: " */
 }
 
-static void
+void
 sortlist(tlp)
     toplink **tlp;
 {
@@ -295,7 +295,7 @@
     return;
 }
 
-static int
+int
 sortcmp(tlp1, tlp2)
     toplink **tlp1, **tlp2;
 {
@@ -320,7 +320,7 @@
     return;
 }
 
-static void
+void
 tlfree(tl)
     toplink *tl;
 {
diff -Naur spice3f5sfix.orig/src/lib/mfb/mfbcaps.c spice3f5sfix/src/lib/mfb/mfbcaps.c
--- spice3f5sfix.orig/src/lib/mfb/mfbcaps.c	1993-06-18 06:34:25.000000000 +0900
+++ spice3f5sfix/src/lib/mfb/mfbcaps.c	2005-05-29 22:50:45.000000000 +0900
@@ -214,7 +214,7 @@
 /*
  * Skip to the next field.
  */
-static char *
+char *
 MFBSkip(bp)
     char *bp;
     {
@@ -302,7 +302,7 @@
 /*
  * MFBCapDecod decodes the string capability escapes.
  */
-static char *
+char *
 MFBCapDecod(str, area)
     char *str;
     char **area;
